Page 2 of 2

Re: KyPass 4.5 is crashing on iOS 9.3.5

Posted: Sun Apr 28, 2019 11:20 am
by sirusblack029
Would like to chime in here that on iOS 11.4.1 I am having the same problem with KyPass crashing :(.

Error log is:

Code: Select all

2019-04-28 11:13:36 +0000 💧 I | -[KyPassAppDelegate applicationDidEnterBackground:][518] | Application Will Enter Background
2019-04-28 11:13:36 +0000 💧 I | -[MainViewController addSplash:][135] | Add splash to <MainViewController: 0x14de10440>
2019-04-28 11:13:38 +0000 💧 I | -[KyPassAppDelegate application:didFinishLaunchingWithOptions:][252] | Starting KyPass
2019-04-28 11:13:38 +0000 💧 I | -[KSync updateDirectory:][251] | Global update directory
2019-04-28 11:13:40 +0000 💧 I | -[MainViewController removeSplash:][113] | Remove splash from <MainViewController: 0x137e12c00>
2019-04-28 11:13:47 +0000 💧 I | -[KyPassAppDelegate application:didFinishLaunchingWithOptions:][252] | Starting KyPass
2019-04-28 11:13:47 +0000 💧 I | -[KSync updateDirectory:][251] | Global update directory
2019-04-28 11:13:49 +0000 💧 I | -[MainViewController removeSplash:][113] | Remove splash from <MainViewController: 0x15bd144a0>
2019-04-28 11:13:52 +0000 💧 I | -[KyPassAppDelegate application:didFinishLaunchingWithOptions:][252] | Starting KyPass
2019-04-28 11:13:52 +0000 💧 I | -[KSync updateDirectory:][251] | Global update directory
2019-04-28 11:13:54 +0000 💧 I | -[MainViewController removeSplash:][113] | Remove splash from <MainViewController: 0x113d10770>

Re: KyPass 4.5 is crashing on iOS 9.3.5

Posted: Mon May 06, 2019 4:42 pm
by RedBug
maelstrom wrote:
Fri Apr 26, 2019 5:34 pm
I have exactly the same problem. Yesterday morning I was able to log in normally. Later in the day it crashed every time it got to the files selection screen. I eventually deleted the app and reinstalled it but, once again, it crashes just as it gets to the initial file selection screen.

iPad 3, iOS 9.3.5 (the latest which runs on my iPad), KyPass v 4.5.2
Sad news :-(
It's not possible to support anymore ios9 in KyPass as I use some functions only available on ios10 and higher.

Could you restore a previous version ?

Re: KyPass 4.5 is crashing on iOS 9.3.5

Posted: Thu May 09, 2019 9:36 am
by maelstrom
It's not possible to get an earlier version because the App Store still says that the latest version (4.5.2) is compatible with iOS 9 - it always gives you the last compatible version. You (the developer) would need to change the requirements for 4.5.2 (or any version which needs iOS 10) to make it only compatible with iOS 10 or later. Even if you say that the next version of KyPass needs iOS 10, as long as this one still says that it's compatible with iOS 9, then it's the only one which it will be possible to download for iPad 3 owners. This will clearly attract negative reviews from users who get the app for iOS 9 but can't use it! Very frustrating to have paid for this and not be able to use it.

Re: KyPass 4.5 is crashing on iOS 9.3.5

Posted: Thu May 23, 2019 9:18 am
by maelstrom
Not sure if anyone is still reading this thread, but to add a request to my previous post, can you mark the current version of KyPass (4.5.2) as requiring iOS 10 or later then anyone with an older device would have access to an earlier, compatible version?

Re: KyPass 4.5 is crashing on iOS 9.3.5

Posted: Tue Jun 18, 2019 10:46 am
by maelstrom
Has there been any progress changing the store entry to iOS 10 or newer? Support for the app seems quite poor.

Re: KyPass 4.5 is crashing on iOS 9.3.5

Posted: Tue Jun 18, 2019 10:48 am
by RedBug
Thanks.
As I said before, I couldn’t do anything.
The minimal version is added on the binary. Not in the AppStore. Apple doesn’t allow to change that after.